//
//  MyLine.m
//  TestLines
//
//  Created by Cameron Hayne on 28/02/06.
//  Copyright 2006 Hayne of Tintagel.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#import "MyLine.h"

@implementation MyLine

+ (id)lineFrom:(NSPoint)start To:(NSPoint)end Color:(NSColor *)color Width:(float)width
{
    MyLine *line = [[MyLine alloc] init];
    [line setStart: start];
    [line setEnd: end];
    [line setColor: color];
    [line setWidth: width];
    return [line autorelease];
}

- (void)dealloc
{
    [color release];
    [super dealloc];
}

- (NSPoint)start
{
    return start;
}

- (void)setStart:(NSPoint)aPoint
{
    start = aPoint;
}

- (NSPoint)end
{
    return end;
}

- (void)setEnd:(NSPoint)aPoint
{
    end = aPoint;
}

- (NSColor *)color
{
    return color;
}

- (void)setColor:(NSColor *)aColor
{
    [aColor retain];
    [color release];
    color = aColor;
}

- (float)width
{
    return width;
}

- (void)setWidth:(float)aWidth
{
    width = aWidth;
}

@end
